## megadepth 1.2.0

=== conda/megadepth/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
set( CMAKE_VERBOSE_MAKEFILE on )
project(megadepth)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -DMEGADEPTH_VERSION=\"\\\"`cat ../VERSION`\\\"\"")
add_executable(megadepth_dynamic megadepth.cpp)
add_executable(megadepth_static megadepth.cpp)
add_executable(megadepth_statlib megadepth.cpp)
include_directories(include)

find_package(Threads REQUIRED)
if(THREADS_HAVE_PTHREAD_ARG)
    set_property(TARGET megadepth_dynamic PROPERTY COMPILE_OPTIONS "-pthread")
    set_property(TARGET megadepth_dynamic PROPERTY INTERFACE_COMPILE_OPTIONS "-pthread")
endif()
if(CMAKE_THREAD_LIBS_INIT)
    target_link_libraries(megadepth_dynamic "${CMAKE_THREAD_LIBS_INIT}")
endif()

target_link_libraries(megadepth_dynamic z hts BigWig deflate -L${CMAKE_SOURCE_DIR}/lib)

=== debian/changelog ===
megadepth (1.2.0-4) unstable; urgency=medium

  * Team upload.
  * d/t/control : disable tests on s390 (Closes: #1016454)

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 06 Aug 2022 18:13:55 +0530

megadepth (1.2.0-3) unstable; urgency=medium

  [ Mohammed Bilal ]
  * Team upload.
  * Add autopkgtests
  * routine-update: Packaging update
  * routine-update: Standards-Version: 4.6.1
  
  [ Nilesh Patra ]
  * Tailor manpage manually, remove help2man automation

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Jul 2022 23:29:37 +0530

megadepth (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Apr 2022 10:32:58 +0200

megadepth (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #1008740)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2022 21:24:58 +0200

=== debian/control ===
Source: megadepth
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhts-dev,
               libdeflate-dev,
               libbigwig-dev
Standards-Version: 4.6.1
Homepage: https://github.com/ChristopherWilks/megadepth
Vcs-Browser: https://salsa.debian.org/med-team/megadepth
Vcs-Git: https://salsa.debian.org/med-team/megadepth.git
Rules-Requires-Root: no

Package: megadepth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: r-bioc-megadepth
Description: computes coverage from BigWig and BAM sequencing files
 A major concern for the interpretation of DNA and RNA (!) sequencing is
 the number of reads that cover a particular area. This package
 has interesting statistics for the distinction of coding and non-coding
 parts of the genome and knows how to interpret transcripts that
 span multiple exons.
 .
 This package is a successor of the program 'bamcount'.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	if [ ! -r CMakeLists.txt ]; then ln -s CMakeLists.txt.ci CMakeLists.txt; fi
	#if [ ! -d htslib ]; then mkdir -p htslib; ln -s /usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`/libhts.a htslib/; fi
	#if [ ! -d libBigWig ]; then mkdir -p libBigWig; ln -s /usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`/libBigWig.a libBigWig/; fi
	#if [ ! -d libdeflate ]; then mkdir -p libdeflate; ln -s /usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`/libdeflate.a libdeflate/; fi
	#if [ ! -d zlib ]; then mkdir -p zlib; ln -s /usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`/libz.a zlib/; fi
	dh $@


override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/megadepth/usr/bin
	cp obj-*/megadepth_dynamic debian/megadepth/usr/bin/megadepth

override_dh_installman:
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	if [ -d zlib_ci ]; then rmdir zlib_ci; fi
	if [ -d libBigWig_ci ]; then rmdir libBigWig_ci; fi
	if [ -d libdeflate_ci ]; then rmdir libdeflate_ci; fi
	if [ -d htslib_ci ]; then rmdir htslib_ci; fi
	rm -rf htslib libbigwig libBigWig libdeflate libz zlib
	rm CMakeLists.txt

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/ChristopherWilks/megadepth/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## megadepth 1.20.0

=== DESCRIPTION ===
Package: megadepth
Title: megadepth: BigWig and BAM related utilities
Version: 1.20.0
Date: 2021-08-05
Authors@R: 
    c(
    person(
        "Leonardo", "Collado-Torres", role = c("aut"), 
        email = "lcolladotor@gmail.com",
        comment = c(ORCID = "0000-0003-2140-308X")
    ),
    person(
        given = "David",
        family = "Zhang",
        role = c("aut", "cre"),
        email = "david.zhang.12@ucl.ac.uk",
        comment = c(ORCID = "0000-0003-2382-8460")
    ))
Description: This package provides an R interface to Megadepth by Christopher
    Wilks available at https://github.com/ChristopherWilks/megadepth. It is
    particularly useful for computing the coverage of a set of genomic regions
    across bigWig or BAM files. With this package, you can build base-pair
    coverage matrices for regions or annotations of your choice from BigWig
    files. Megadepth was used to create the raw files provided by
    https://bioconductor.org/packages/recount3.
License: Artistic-2.0
URL: https://github.com/LieberInstitute/megadepth
BugReports: https://support.bioconductor.org/t/megadepth
biocViews: Software, Coverage, DataImport, Transcriptomics, RNASeq,
        Preprocessing
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.3
Suggests: covr, knitr, BiocStyle, sessioninfo, rmarkdown, rtracklayer,
        derfinder, GenomeInfoDb, tools, RefManageR, testthat
SystemRequirements: megadepth
        (<https://github.com/ChristopherWilks/megadepth>)
VignetteBuilder: knitr
Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
Config/testthat/edition: 3
git_url: https://git.bioconductor.org/packages/megadepth
git_branch: RELEASE_3_22
git_last_commit: 8dd30d5
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 04:54:12 UTC; biocbuild
Author: Leonardo Collado-Torres [aut] (ORCID:
    <https://orcid.org/0000-0003-2140-308X>),
  David Zhang [aut, cre] (ORCID: <https://orcid.org/0000-0003-2382-8460>)
Maintainer: David Zhang <david.zhang.12@ucl.ac.uk>

## megadepth 1.21.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: megadepth
 Title: megadepth: BigWig and BAM related utilities
-Version: 1.20.0
+Version: 1.21.0
 Date: 2021-08-05
 Authors@R: 
     c(
@@ -39,13 +39,13 @@
 Imports: xfun, utils, fs, GenomicRanges, readr, cmdfun, dplyr, magrittr
 Config/testthat/edition: 3
 git_url: https://git.bioconductor.org/packages/megadepth
-git_branch: RELEASE_3_22
-git_last_commit: 8dd30d5
+git_branch: devel
+git_last_commit: 068e7ec
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-31
 NeedsCompilation: no
-Packaged: 2025-10-30 04:54:12 UTC; biocbuild
+Packaged: 2025-10-31 22:39:44 UTC; biocbuild
 Author: Leonardo Collado-Torres [aut] (ORCID:
     <https://orcid.org/0000-0003-2140-308X>),
   David Zhang [aut, cre] (ORCID: <https://orcid.org/0000-0003-2382-8460>)
